using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Vezba3_zadatak2
{
    public partial class Form1 : Form
    {
        private Button[,] dugmici;

        private int rows = 1;
        private int cols = 1;
        public int Rows
        {
            get
            {
                return rows;
            }
            set
            {
                rows = value;
                kreirajdugmice();
            }
        }
        public int Cols
        {
            get
            {
                return cols;
            }
            set
            {
                cols = value;
                kreirajdugmice();
            }
        }
        private void kreirajdugmice()
        {
            if(rows == 0 || cols == 0)
            {
                MessageBox.Show("Greska");
            }
            int visinaDugmeta = this.ClientRectangle.Height / cols;
            int sirinaDugmeta = this.ClientRectangle.Width / rows;

            Point lokacijaDugmeta = new Point(0, 0);

            for (int i = 0; i < 10; i++) {
                for(int j = 0; j < 10; j++) {
                    dugmici[i,j].Height = visinaDugmeta;
                    dugmici[i,j].Width = sirinaDugmeta ;

                    lokacijaDugmeta.X = j * sirinaDugmeta;
                    lokacijaDugmeta.Y = i * visinaDugmeta;

                    dugmici[i, j].Location = lokacijaDugmeta;
                    this.Controls.Add(dugmici[i, j]);
                    if (i >= rows || j >= cols)
                    {
                        dugmici[i, j].Visible = false;
                    }
                    else
                    {
                        dugmici[i, j].Visible = true;
                    }
                }
            }
        }
        public Form1()
        {

            #region kreiranje dugmica

            dugmici = new Button[10, 10];
            for (int i = 0; i < 10; i++)
                for (int j = 0; j < 10; j++)
                {
                    dugmici[i, j] = new Button();
                    dugmici[i, j].Text = (char)(i+104-2*i) + " " + (j+1);
                    
                    if ((i + j) % 2 == 0)
                    {
                        dugmici[i, j].BackColor = Color.FromArgb(50,50,50);
                        this.ForeColor = System.Drawing.Color.Red;
                    }
                    else
                    {
                        dugmici[i, j].BackColor = Color.FromArgb(255,255,255);
                        this.ForeColor = System.Drawing.Color.Yellow;
                        //Boja ispisa me strasno kulira
                    }
                    dugmici[i, j].Click += new EventHandler(odgovorDugme);
                    dugmici[i, j].Visible = false;
                    this.Controls.Add(dugmici[i, j]);
                }
            #endregion

            this.Rows = 8;
            this.Cols = 8;
        }
        private void Form1_Load(object sender, EventArgs e)
        {

        }
        void odgovorDugme(object sender, EventArgs e)
        {
            Button dugme = (Button)sender;
            MessageBox.Show(dugme.Text);
        }
    }
}